//
//  YYGamePlayer.h
//  猜拳游戏(OC优化版)
//
//  Created by YYSky on 16/5/17.
//  Copyright © 2016年 yaomars. All rights reserved.
//

#import <Foundation/Foundation.h>
/**
    出拳的类型
 */
typedef enum {
    
    FistTypeScissor = 1, //剪刀
    FistTypeStone   = 2, //石头
    FistTypeCloth   = 3  //布
}FistType;

@interface YYGamePlayer : NSObject

/**
 *  玩家名称
 */
@property (nonatomic, copy)NSString *name;
/**
 *  玩家分数
 */
@property (nonatomic, assign)int    score;
/**
 *  玩家的出拳类型
 */
@property (nonatomic, assign)FistType fistType;

/**
 *  显示出拳的类型名称
 *
 *  @param num 玩家的出拳类型枚举值
 *
 *  @return 拳的类型名称
 */
- (NSString *)fistTypeWithNumber:(int)num;
/**
 *  显示开始游戏
 */
+ (void)startGame;

/**
 *  构造方法
 *
 *  @param name 玩家名称
 *
 *  @return 一个新对象
 */
- (instancetype)initWithName:(NSString *)name;
/**
 *  便利构造方法
 *
 *  @param name 玩家名称
 *
 *  @return 一个新对象
 */
+ (instancetype)gamePlayerWithName:(NSString *)name;

@end
