//
//  YYGamePlayer.m
//  猜拳游戏(OC优化版)
//
//  Created by YYSky on 16/5/17.
//  Copyright © 2016年 yaomars. All rights reserved.
//

#import "YYGamePlayer.h"

@implementation YYGamePlayer

/**
 *  显示出拳的类型名称
 *
 *  @param num 玩家的出拳类型枚举值
 *
 *  @return 拳的类型名称
 */
-(NSString *)fistTypeWithNumber:(int)num{

    switch (num) {
        case 1:
            return @"✂️";
            
        case 2:
            return @"👊";

        default:
           return @"✋";
    }

}

/**
 *  显示开始游戏
 */
+ (void)startGame{
    
    NSLog(@"=======================================");
    NSLog(@"===============++💕💕++===============");
    NSLog(@"💞++++++==➡️🔷猜⃣拳⃣游⃣戏⃣🔷⬅️==++++++💞");
    NSLog(@"===============++💕💕++================");
    NSLog(@"===============游⃝戏⃝开⃝始⃝================");
}

/**
 *  构造方法
 *
 *  @param name 玩家名称
 *
 *  @return 一个新对象
 */
-(instancetype)initWithName:(NSString *)name{
    if (self = [super init]) {
        self.name = name;
    }
    return self;
}
/**
 *  便利构造方法
 *
 *  @param name 玩家名称
 *
 *  @return 一个新对象
 */
+(instancetype)gamePlayerWithName:(NSString *)name{

    return [[self alloc] initWithName:name];
}

@end
